# -*- coding: utf-8 -*-
import os, os.path
from PIL import Image

#現在の字下げ
indent = 0
fp = 0#ファイルポインタ
tabw = 2

#字上げ
def pop(num = 1):
    global indent
    indent = indent - tabw
    assert (indent >= 0)

#字下げ
def push(num = 1):
    global indent
    indent = indent + (tabw * num)

#字下げクリア
def id_zero():
    global indent
    indent = 0

#１行書き込み
def wr(line = ""):
    global fp
    global indent
    for i in range(indent): fp.write(' ')
    fp.write(line +'\n')

#字下げクリア
def fpopen(filename):
    global fp
    global indent
    fp = open(filename,'w')
    id_zero()

#字下げクリア
def fpclose():
    global fp
    global indent
    fp.close()
    id_zero()



size_f = False



#ファイル名取得#####################

title , pyext = os.path.splitext(os.path.basename(__file__))

datadir = (os.path.realpath(os.path.dirname(__file__)) + "\\")
files = os.listdir(datadir)
pngnames = []
pngnamesgen = []
pngsizes = []
 
for file in files:
    name, ext = os.path.splitext(file)
    if (ext == ".png"):
        pngnamesgen.append(name)
        
        if (size_f == False):
            pngnames.append(name)
        else:
            pngnames.append(name[:name.find("[")])
            ynum = 1
            xnum = 1
            img = Image.open(file, 'r')
            xsize, ysize = img.size
            ynumst = name.find("[")
            if (ynumst != -1):
                ynumed = name.find(",")
                if (ynumed == -1): ynumed = name.find("]")
                ynum = int(name[(ynumst+1):ynumed])

            xnumst = name.find(",")
            if (xnumst != -1):
                xnumed = name.find("]")
                xnum = ynum
                ynum = int(name[(xnumst+1):xnumed])

            xsize = (xsize / xnum)
            ysize = (ysize / ynum)
            pngsizes.append((xsize, ysize))

print pngnamesgen
print pngnames
#include.txt#####################

#exit()

fpopen(datadir + title+ '.txt')

wr("enum en"+ title)
wr("{")
push()
for pngname in pngnames: wr(pngname + ',')
wr(title+"END,")
pop()
wr("};")
wr()


if (size_f):
    wr("const s32 " +title.upper()+ "_SIZE[] =")
    wr("{")
    push()
    for size in pngsizes:
        wr(str(size[0]) + ',' + str(size[1]) + ',')
    pop()
    wr("};")
    wr()


wr("const std::string " +title.upper()+ "_STR[] =")
wr("{")
push()
for pngname in pngnamesgen:
    wr('"' + pngname + '",')
pop()
wr("};")

wr()


fpclose()